require_relative './test_helper'
require 'adorn'
require 'adorn/middleware'
require 'adorn/cache'

class TestAdornedCache < Adorn::TestCase
 include Rack::Test::Methods

  def setup
  end

  def teardown
    app = nil
  end

  def app

    Rack::Builder.new do
      use Adorn::Middleware
      run lambda { |env| [200, {}, [Adorn::Cache.append!('foo', Object.new)] ] }
    end.to_app
  end

  def test_object_appended_in_response
    get '/', {}, { 'Content-Type' => 'text/html' }

    refute_equal true, Thread.current[:adorn_cache].empty?
  end
end
